$block: command;

.#{$block} {
	overflow: hidden;
	color: $white;
	background: #121212;

	&__wrap {
		position: relative;
		padding-top: 100px;
		padding-bottom: 80px;
	}

	&__main {
		display: flex;
		flex-wrap: wrap;
		max-width: 360px;
		margin-bottom: 20px;
	}

	&__header {
		width: 100%;
		position: relative;
		margin-bottom: 40px;
		font-family: $font-family-head;

		&--label {
			width: 70px;
			font-weight: 700;
			line-height: 120%;
			text-align: right;
			margin-bottom: 20px;
			font-size: font-size-rel(16px);
		}

		&--title {
			font-weight: 700;
			line-height: 130%;
			padding-left: 70px;
			font-size: font-size-rel(22px);
		}
	}

	&__link {
		z-index: 50;
		position: relative;
		display: inline-block;
	}

	&__primary {
		max-width: 360px;
		position: relative;
		margin-bottom: 40px;

		&--media {
			position: relative;

			&:after,
			&:before {
				z-index: 5;
				content: '';
				display: block;
				position: absolute;
				background: url('../img/command__pattern.svg') 50% 50% no-repeat;
				background-size: cover;
			}

			&:after {
				top: 50px;
				left: 138px;
				width: 70px;
				height: 70px;
			}

			&:before {
				left: calc(100%  - 70px);
				width: 140px;
				height: 140px;
				bottom: -70px;
			}
		}

		&--wrap {
			overflow: hidden;
		}

		&--image {
			margin-top: -100px;
		}

		&--content {
			z-index: 10;
			padding-top: 20px;
			position: relative;
			line-height: 130%;
			font-size: font-size-rel(14px);
		}

		&--name {
			font-weight: 700;
			line-height: 130%;
			margin-bottom: 10px;
			font-size: font-size-rel(16px);
		}

		&--text {
			padding-left: 70px;
		}
	}

	&__item {
		width: 50%;
		margin-bottom: 40px;

		&--content {
			padding-top: 15px;
		}

		&--name {
			font-weight: 700;
			line-height: 120%;
			margin-bottom: 10px;
			font-size: font-size-rel(16px);
		}

		&--text {
			line-height: 130%;
			font-size: font-size-rel(14px);
		}

		&--02 {
			margin-left: 50%;
		}

		&--04 {
			margin-left: 50%;
		}

		&--06 {
			margin-left: 50%;
		}
	}

	&__pattern {
		bottom: -85px;
		left: 160px;
		z-index: 1;
		width: 210px;
		position: absolute;
	}

	@media (min-width: $screen-xs-min) {

		&__main {
			max-width: inherit;
			justify-content: space-between;
		}

		&__primary {
			margin-right: 150px;
		}

		&__item {
			width: calc(33.33% - 10px);


			&--02 {
				margin-left: 0%;
			}

			&--04 {
				margin-left: 0%;
			}

			&--06 {
				margin-left: 0%;
			}
		}
	}

	@media (min-width: $screen-sm-min) {

		&__wrap {
			padding-top: 150px;
			padding-bottom: 130px;
		}

		&__header {
			width: 360px;
			margin-bottom: 0;

			&--label {
				width: 105px;
				font-size: font-size-rel(18px);
			}

			&--title {
				padding-left: 105px;
				font-size: font-size-rel(30px);
			}
		}

		&__primary {
			width: 340px;
			margin-right: 0;
			margin-bottom: 100px;

			&--media {
				width: 200px;

				&:before {
					left: -70px;
				}

				&:after {
					left: 120px;
				}
			}

			&--image {
				margin-top: 0;
			}

			&--content {
				display: flex;
				padding-top: 40px;
				justify-content: flex-end;
				font-size: font-size-rel(16px);
			}

			&--name {
				width: 150px;
				text-align: right;
				font-size: font-size-rel(18px);
			}

			&--text {
				width: 140px;
				padding: 50px 0 0 0;
				white-space: nowrap;
			}
		}

		&__item {
			width: 320px;
			margin-bottom: 80px;

			&--image {
				width: 160px;
				margin-left: 160px;
			}

			&--content {
				padding-top: 40px;
				display: flex;
				justify-content: flex-end;
			}

			&--name {
				width: 160px;
				order: 2;
			}

			&--text {
				order: 1;
				width: 160px;
				padding-top: 56px;
				text-align: right;
			}

			&--03 {
				margin-left: 145px;
			}
		}

		&__pattern {
			display: block;
		}
	}

	@media (min-width: $screen-md-min) {

		&__header {
			width: 440px;

			&--title {
				line-height: 120%;
				font-size: font-size-rel(40px);
			}
		}

		&__primary {
			width: 480px;
			max-width: inherit;
			margin-bottom: 120px;

			&--media {
				width: 320px;

				&:before {
					bottom: -160px;
					left: -160px;
					width: 320px;
					height: 320px;
				}

				&:after {
					width: 80px;
					height: 80px;
					left: 200px;
				}
			}

			&--name {
				margin-bottom: 0;
			}

			&--text {
				width: 160px;
				padding-top: 56px;
			}
		}

		&__item {
			margin-bottom: 80px;

			&--03 {
				margin-left: 0;
			}

			&--04 {
				margin-left: 160px;
			}

			&--05 {
				margin-right: 160px;
			}
		}

		&__pattern {
			width: 480px;
			bottom: -195px;
		}
	}

	@media (min-width: $screen-lg-min) {

		&__wrap {
			padding-bottom: 130px;
		}

		&__main {
			margin-bottom: 0;
		}

		&__header {
			width: 550px;
			padding-left: 75px;
		}

		&__item {

			&--01 {
				margin-right: 180px;
			}

			&--04 {
				margin-left: 280px;
				margin-right: 200px;
			}

			&--05 {
				margin-right: 300px;
			}

			&--07 {
				margin-bottom: 0;
				margin-left: 600px;
			}

			&--text {
				font-size: font-size-rel(16px);
			}
		}

		&__link {
			left: 160px;
			bottom: 330px;
			position: absolute;
		}
	}

	@media (min-width: $screen-xl-min) {

		&__wrap {
			padding-top: 200px;
		}

		&__header {
			width: 600px;

			&--title {
				font-size: font-size-rel(50px);
			}
		}

		&__primary {
			width: 640px;

			&--text {
				width: 320px;
			}
		}

		&__item {

			&--01 {
				margin-right: 320px;
			}

			&--04 {
				margin-left: 320px;
			}

			&--07 {
				margin-left: 640px;
			}
		}
	}
}